NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Weld.WeldPointBuilder Class Reference

Represents a Spot Weld feature More...

Inheritance diagram for NXOpen.Weld.WeldPointBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void CalculateDatumMeasurementDefaultDirection ()
 Calculate location and default direction of datum and measurement, need to set the current point prior to calling this method More...
 
unsafe void CalculateWeldPoints (out NXOpen.Point3d[] points)
 To calculate all weld points More...
 
unsafe void ClearFaceSets ()
 The clear for all existed facesets More...
 
unsafe void CommitFaceSets ()
  More...
 
unsafe void CommitReferenceSheets (NXOpen.Weld.WeldOverlapStatus createStatus)
 The commit for reference sheets More...
 
unsafe void CommitSection (NXOpen.Section path)
 Commit created section More...
 
unsafe NXOpen.Section CreateCenterLine ()
 To create center line More...
 
unsafe NXOpen.Section CreateOffsetCurve ()
 Create offset curve More...
 
unsafe NXOpen.Section CreateSectionPlaneCurves ()
 Create section curve More...
 
unsafe void CreateSingleWeldPoint (NXOpen.Point3d pointCoord)
 The creation for single weld point More...
 
unsafe void FlipZAxis ()
 Flip the z axis More...
 
unsafe void GetCsys (out NXOpen.Point3d origin, out NXOpen.Matrix3x3 matrix)
 Get coordinate system for point More...
 
unsafe int GetCurrentReferenceSheet ()
 The current refsheet More...
 
unsafe void GetFaceSet (int facesetIndex, out NXOpen.DisplayableObject[] objects, out NXOpen.Features.Feature[] frecs)
 Gets the user selected faces for the indicated face set More...
 
unsafe NXOpen.Section GetFirstSection ()
 Get the first section. More...
 
unsafe void GetMirrorTranslateReferenceObjects (out NXOpen.DisplayableObject[] objects)
 Get mirror translate reference objects More...
 
unsafe int GetNumFaceSets ()
 Get the amount of face sets More...
 
unsafe NXOpen.Features.Feature GetReferenceSheets ()
 The refernence sheet feature More...
 
unsafe NXOpen.Section GetSecondSection ()
 Get the second section. More...
 
unsafe void GetSectionCurves (NXOpen.Section section, out NXOpen.Curve[] curves)
 Gets the curves contained in the input section More...
 
unsafe void MovePoint (NXOpen.Point3d origin)
 Move selected points More...
 
unsafe void ProjectPoints ()
 Project selected points along the specified vector to reference sheets More...
 
unsafe void RemoveCharacteristics (string attrTitle, NXOpen.Weld.WeldAttribType attrType, string attrValue)
 Remove characteristics for selected points, need to set the current point prior to calling this method More...
 
unsafe void RemoveWeldPoint ()
 Remove the current selected point, need to set the current point prior to calling this method More...
 
unsafe void SetCharacteristics (string attrTitle, NXOpen.Weld.WeldAttribType attrType, string attrValue)
 Set or edit characteristics for selected points More...
 
unsafe void SetCurrentReferenceSheet (int currentRefSheet)
 Set current refsheet More...
 
unsafe void SetFaceSet (NXOpen.Weld.WeldFacesetIndex facesetIndex, NXOpen.DisplayableObject[] objects)
 Sets the user selected faces for the indicated face set More...
 
unsafe void SetFirstSection (NXOpen.Section section)
 The commit for first section More...
 
unsafe void SetMirrorTranslateReferenceObjects (NXOpen.TaggedObject[] refs)
 Add or remove mirror translate reference objects More...
 
unsafe void SetPoint (int index)
 Set the selected point More...
 
unsafe void SetSecondSection (NXOpen.Section section)
 Create second section More...
 
unsafe void SetSelectionType (NXOpen.Weld.WeldSelectionType selectionType)
 Set the selection type More...
 
unsafe void UpdateCsys (NXOpen.Point3d origin, NXOpen.Matrix3x3 matrix)
 Update coordinate system for selected points More...
 
unsafe void UpdateFirstSection (NXOpen.Section totalSection)
 Update first section More...
 
unsafe void UpdateSecondSection (NXOpen.Section totalSection)
 Update second section More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool ConnectingOnlyOnePart [get, set]
 Returns or sets More...
 
unsafe
NXOpen.Weld.WeldCreationDirection 
CreationDirection [get, set]
 Returns or sets the creation direction type. More...
 
unsafe bool CsysAssemblyState [get, set]
 Returns or sets the assy coordinate system state More...
 
unsafe bool CsysWorkPartState [get, set]
 Returns or sets the work coordinate systemstate More...
 
unsafe double CustomCylinderAbove [get, set]
 Returns or sets the distance the custom cylinder should be created above the weld point More...
 
unsafe double CustomRadius [get, set]
 Returns or sets the radius to create the sphere, cylinder, or cone with More...
 
unsafe double CustomTotalCylinderLength [get, set]
 Returns or sets the total length of the cylinder to be created. More...
 
unsafe
NXOpen.Weld.WeldDatumControlDirection 
DatumFirstReferenceDirection [get, set]
 Returns or sets the datum reference direction type. More...
 
unsafe
NXOpen.Weld.WeldDatumControlDirection 
DatumMajorDirection [get, set]
 Returns or sets the datum major direction type. More...
 
unsafe
NXOpen.Weld.WeldDatumControlDirection 
DatumSecondReferenceDirection [get, set]
 Returns or sets the datum reference direction type. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance for the weld point More...
 
unsafe string EndDistance [get, set]
 Returns or sets the end dist More...
 
unsafe
NXOpen.Weld.WeldParasetLocation 
EndDistanceLocation [get, set]
 Returns or sets the end dist location More...
 
unsafe
NXOpen.Weld.WeldPointExtendMethod 
ExtendMethod [get, set]
 Returns or sets the offset curve extend method. More...
 
unsafe
NXOpen.Weld.WeldPointLocation 
Location [get, set]
 Returns or sets the processing method to use for generating weld points along reference section(s) More...
 
unsafe double MeasurementDefaultHeight [get, set]
 Returns or sets the default height of the object for measurement to be created. More...
 
unsafe double MeasurementDefaultWidth [get, set]
 Returns or sets the default width of the object for measurement to be created. More...
 
unsafe double MeasurementHoleSize [get, set]
 Returns or sets the hole_size of the object for measurement to be created. More...
 
unsafe double MeasurementSlotLength [get, set]
 Returns or sets the slot height of the object for measurement to be created. More...
 
unsafe double MeasurementSlotWidth [get, set]
 Returns or sets the slot width of the object for measurement to be created. More...
 
unsafe double MeasurementStudSize [get, set]
 Returns or sets the stud size of the object for measurement to be created. More...
 
unsafe bool MirrorByType [get, set]
 Returns or sets the mirror by type More...
 
unsafe NXOpen.Plane MirrorPlane [get, set]
 Returns or sets the plane that a point is to be mirrored about. More...
 
unsafe int NumberConnectedPanels [get, set]
 Returns or sets the num connected panels. More...
 
unsafe string OffsetDistance [get, set]
 Returns or sets the offset distance from edges in guide_collector1 to place weld points More...
 
unsafe NXOpen.Weld.OutputType OutputType [get, set]
 Returns or sets the output type. More...
 
unsafe NXOpen.Weld.WeldPointMethod PointMethod [get, set]
 Returns or sets the method for creating weld points. More...
 
unsafe double PointsGuideDistance [get, set]
 Returns or sets the distance percentage from the start of the curve where the weld point should be. More...
 
unsafe NXOpen.Vector3d ProjectDirection [get, set]
 Returns or sets the project direction More...
 
unsafe NXOpen.Direction ProjectDirectionObject [get, set]
 Returns or sets the project direction NXOpen object More...
 
unsafe
NXOpen.Weld.WeldProjectionMethod 
ProjectionMethod [get, set]
 Returns or sets the project method type. More...
 
unsafe
NXOpen.Weld.WeldPointSpacingMethod 
ReferenceSheetSpacingMethod [get, set]
 Returns or sets the refsheet spacing method More...
 
unsafe
NXOpen.Weld.WeldPointReferenceSheetType 
ReferenceSheetType [get, set]
 Returns or sets the type of sheet to create to place weld points on. More...
 
unsafe NXOpen.Plane SectionPlaneEntity [get, set]
 Returns or sets More...
 
unsafe int SequenceNumber [get, set]
 Returns or sets the sequence number for the weld point feature. More...
 
unsafe bool ShowThroughAssemblyState [get, set]
 Returns or sets the through assy coordinate system state More...
 
unsafe bool ShowThroughWorkPartState [get, set]
 Returns or sets the through work coordinate system state More...
 
unsafe
NXOpen.Weld.WeldMeasurementSizeMethod 
SizeMethod [get, set]
 Returns or sets the measurement size method. More...
 
unsafe NXOpen.Weld.WeldCustom SolidType [get, set]
 Returns or sets the output solid type. More...
 
unsafe
NXOpen.Weld.WeldSpacingCalcMethod 
SpacingCalculateMethod [get, set]
 Returns or sets the project method type. More...
 
unsafe string SpacingNumber [get, set]
 Returns or sets the spacing number More...
 
unsafe string StartDistance [get, set]
 Returns or sets the start dist More...
 
unsafe
NXOpen.Weld.WeldParasetLocation 
StartDistanceLocation [get, set]
 Returns or sets the start dist location More...
 
unsafe NXOpen.CoordinateSystem TranslateCsys [get, set]
 Returns or sets the coordinate system that a point is to be translated about. More...
 
unsafe string TranslateXDistance [get, set]
 Returns or sets the tran x dist More...
 
unsafe string TranslateYDistance [get, set]
 Returns or sets the trans y dist More...
 
unsafe string TranslateZDistance [get, set]
 Returns or sets the translate distance for weld points in z axis direction. More...
 
unsafe
NXOpen.Weld.WeldFeatureSetType 
WeldType [get, set]
 Returns or sets the weld type. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Spot Weld feature

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateWeldPointBuilder

Default values.

Property Value

ConnectingOnlyOnePart

false

CreationDirection

Default

CsysAssemblyState

false

CsysWorkPartState

false

CustomCylinderAbove

0.5 (millimeters part), 0.02 (inches part)

CustomRadius

0.5 (millimeters part), 0.02 (inches part)

CustomTotalCylinderLength

1 (millimeters part), 0.04 (inches part)

DatumFirstReferenceDirection

X

DatumMajorDirection

X

DatumSecondReferenceDirection

X

DistanceTolerance

0.025 (millimeters part), 0.001 (inches part)

EndDistance

6.25 (millimeters part), 0.25 (inches part)

EndDistanceLocation

Length

ExtendMethod

Boundary

Location

AlongGuideEdge

MeasurementDefaultHeight

10 (millimeters part), 0.4 (inches part)

MeasurementDefaultWidth

3 (millimeters part), 0.12 (inches part)

MeasurementHoleSize

0.0 (millimeters part), 0.0 (inches part)

MeasurementSlotLength

0.0 (millimeters part), 0.0 (inches part)

MeasurementSlotWidth

0.0 (millimeters part), 0.0 (inches part)

MeasurementStudSize

0.0 (millimeters part), 0 (inches part)

MirrorByType

false

NumberConnectedPanels

2

OffsetDistance

6.25 (millimeters part), 0.25 (inches part)

OutputType

Fixed

PointMethod

Multiple

PointsGuideDistance

0.0 (millimeters part), 0.0 (inches part)

ProjectionMethod

None

ReferenceSheetSpacingMethod

Distance

ReferenceSheetType

Overlap

ShowThroughAssemblyState

false

ShowThroughWorkPartState

false

SizeMethod

Auto

SolidType

SolidNone

SpacingCalculateMethod

Arclength

SpacingNumber

12.5 (millimeters part), 0.5 (inches part)

StartDistance

6.25 (millimeters part), 0.25 (inches part)

StartDistanceLocation

Length

TranslateXDistance

0 (millimeters part), 0 (inches part)

TranslateYDistance

0 (millimeters part), 0 (inches part)

TranslateZDistance

0 (millimeters part), 0 (inches part)

WeldType

ResistanceSpot

Created in NX6.0.0

Member Function Documentation

unsafe void NXOpen.Weld.WeldPointBuilder.CalculateDatumMeasurementDefaultDirection ( )
inline

Calculate location and default direction of datum and measurement, need to set the current point prior to calling this method

Created in NX7.5.5

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.WeldPointBuilder.CalculateWeldPoints ( out NXOpen.Point3d[]  points)
inline

To calculate all weld points

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
pointsweld points
unsafe void NXOpen.Weld.WeldPointBuilder.ClearFaceSets ( )
inline

The clear for all existed facesets

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.WeldPointBuilder.CommitFaceSets ( )
inline

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.WeldPointBuilder.CommitReferenceSheets ( NXOpen.Weld.WeldOverlapStatus  createStatus)
inline

The commit for reference sheets

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
createStatuscreate status
unsafe void NXOpen.Weld.WeldPointBuilder.CommitSection ( NXOpen.Section  path)
inline

Commit created section

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
paththe created path
unsafe NXOpen.Section NXOpen.Weld.WeldPointBuilder.CreateCenterLine ( )
inline

To create center line

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe NXOpen.Section NXOpen.Weld.WeldPointBuilder.CreateOffsetCurve ( )
inline

Create offset curve

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe NXOpen.Section NXOpen.Weld.WeldPointBuilder.CreateSectionPlaneCurves ( )
inline

Create section curve

Created in NX7.0.0

License requirements: ugweld ("UG WELD")

Returns
section curve
unsafe void NXOpen.Weld.WeldPointBuilder.CreateSingleWeldPoint ( NXOpen.Point3d  pointCoord)
inline

The creation for single weld point

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
pointCoordpoint coordinate
unsafe void NXOpen.Weld.WeldPointBuilder.FlipZAxis ( )
inline

Flip the z axis

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.WeldPointBuilder.GetCsys ( out NXOpen.Point3d  origin,
out NXOpen.Matrix3x3  matrix 
)
inline

Get coordinate system for point

Created in NX8.0.0

License requirements: ugweld ("UG WELD")

Parameters
originorigin point
matrixrotate matrix
unsafe int NXOpen.Weld.WeldPointBuilder.GetCurrentReferenceSheet ( )
inline

The current refsheet

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe void NXOpen.Weld.WeldPointBuilder.GetFaceSet ( int  facesetIndex,
out NXOpen.DisplayableObject[]  objects,
out NXOpen.Features.Feature[]  frecs 
)
inline

Gets the user selected faces for the indicated face set

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
facesetIndexWhich faceset to get the faces for. 0 is the first
objectsthe face set reference objects
frecsthe face set wave linked frecs
unsafe NXOpen.Section NXOpen.Weld.WeldPointBuilder.GetFirstSection ( )
inline

Get the first section.

For guide curves method, this section contains curves that used to create weld path, For centerline method, this section contians the first group of curves used to create centerline

Created in NX8.0.0

License requirements: ugweld ("UG WELD")

Returns
the section
unsafe void NXOpen.Weld.WeldPointBuilder.GetMirrorTranslateReferenceObjects ( out NXOpen.DisplayableObject[]  objects)
inline

Get mirror translate reference objects

Created in NX8.0.0

License requirements: ugweld ("UG WELD")

Parameters
objectsthe mirror translate reference objects
unsafe int NXOpen.Weld.WeldPointBuilder.GetNumFaceSets ( )
inline

Get the amount of face sets

Created in NX8.0.0

License requirements: ugweld ("UG WELD")

Returns
total amount of face sets
unsafe NXOpen.Features.Feature NXOpen.Weld.WeldPointBuilder.GetReferenceSheets ( )
inline

The refernence sheet feature

Created in NX8.0.0

License requirements: ugweld ("UG WELD")

Returns
the reference sheet
unsafe NXOpen.Section NXOpen.Weld.WeldPointBuilder.GetSecondSection ( )
inline

Get the second section.

this method for centerline method weld only, this section contains the second group of curves used to create centerline

Created in NX8.0.0

License requirements: ugweld ("UG WELD")

Returns
the section
unsafe void NXOpen.Weld.WeldPointBuilder.GetSectionCurves ( NXOpen.Section  section,
out NXOpen.Curve[]  curves 
)
inline

Gets the curves contained in the input section

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

Parameters
sectionthe section container for the curves
curvesthe curves of the section
unsafe void NXOpen.Weld.WeldPointBuilder.MovePoint ( NXOpen.Point3d  origin)
inline

Move selected points

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
originthe new position to be located
unsafe void NXOpen.Weld.WeldPointBuilder.ProjectPoints ( )
inline

Project selected points along the specified vector to reference sheets

Created in NX8.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.WeldPointBuilder.RemoveCharacteristics ( string  attrTitle,
NXOpen.Weld.WeldAttribType  attrType,
string  attrValue 
)
inline

Remove characteristics for selected points, need to set the current point prior to calling this method

Created in NX7.5.5

License requirements: ugweld ("UG WELD")

Parameters
attrTitleattribute title
attrTypeattribute type
attrValueattribute value
unsafe void NXOpen.Weld.WeldPointBuilder.RemoveWeldPoint ( )
inline

Remove the current selected point, need to set the current point prior to calling this method

Created in NX7.5.5

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.WeldPointBuilder.SetCharacteristics ( string  attrTitle,
NXOpen.Weld.WeldAttribType  attrType,
string  attrValue 
)
inline

Set or edit characteristics for selected points

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
attrTitleattribute title
attrTypeattribute type
attrValueattribute value
unsafe void NXOpen.Weld.WeldPointBuilder.SetCurrentReferenceSheet ( int  currentRefSheet)
inline

Set current refsheet

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
currentRefSheetcurrent refsheet
unsafe void NXOpen.Weld.WeldPointBuilder.SetFaceSet ( NXOpen.Weld.WeldFacesetIndex  facesetIndex,
NXOpen.DisplayableObject[]  objects 
)
inline

Sets the user selected faces for the indicated face set

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
facesetIndexWhich faceset to get the faces for. 0 is the first
objectsthe face set reference objects
unsafe void NXOpen.Weld.WeldPointBuilder.SetFirstSection ( NXOpen.Section  section)
inline

The commit for first section

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
sectionthe section from uicomp
unsafe void NXOpen.Weld.WeldPointBuilder.SetMirrorTranslateReferenceObjects ( NXOpen.TaggedObject[]  refs)
inline

Add or remove mirror translate reference objects

Created in NX7.5.5

License requirements: ugweld ("UG WELD")

Parameters
refsthe mirror translate reference objects to be added
unsafe void NXOpen.Weld.WeldPointBuilder.SetPoint ( int  index)
inline

Set the selected point

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
indexpoint index
unsafe void NXOpen.Weld.WeldPointBuilder.SetSecondSection ( NXOpen.Section  section)
inline

Create second section

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
sectionthe section from uicomp
unsafe void NXOpen.Weld.WeldPointBuilder.SetSelectionType ( NXOpen.Weld.WeldSelectionType  selectionType)
inline

Set the selection type

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
selectionTypeselection type
unsafe void NXOpen.Weld.WeldPointBuilder.UpdateCsys ( NXOpen.Point3d  origin,
NXOpen.Matrix3x3  matrix 
)
inline

Update coordinate system for selected points

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
originorigin point
matrixrotate matrix
unsafe void NXOpen.Weld.WeldPointBuilder.UpdateFirstSection ( NXOpen.Section  totalSection)
inline

Update first section

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
totalSectionthe total section
unsafe void NXOpen.Weld.WeldPointBuilder.UpdateSecondSection ( NXOpen.Section  totalSection)
inline

Update second section

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
totalSectionthe total section

Property Documentation

unsafe bool NXOpen.Weld.WeldPointBuilder.ConnectingOnlyOnePart
getset

Returns or sets

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldCreationDirection NXOpen.Weld.WeldPointBuilder.CreationDirection
getset

Returns or sets the creation direction type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldPointBuilder.CsysAssemblyState
getset

Returns or sets the assy coordinate system state

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldPointBuilder.CsysWorkPartState
getset

Returns or sets the work coordinate systemstate

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.CustomCylinderAbove
getset

Returns or sets the distance the custom cylinder should be created above the weld point

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.CustomRadius
getset

Returns or sets the radius to create the sphere, cylinder, or cone with

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.CustomTotalCylinderLength
getset

Returns or sets the total length of the cylinder to be created.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldDatumControlDirection NXOpen.Weld.WeldPointBuilder.DatumFirstReferenceDirection
getset

Returns or sets the datum reference direction type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldDatumControlDirection NXOpen.Weld.WeldPointBuilder.DatumMajorDirection
getset

Returns or sets the datum major direction type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldDatumControlDirection NXOpen.Weld.WeldPointBuilder.DatumSecondReferenceDirection
getset

Returns or sets the datum reference direction type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance for the weld point

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe string NXOpen.Weld.WeldPointBuilder.EndDistance
getset

Returns or sets the end dist

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldParasetLocation NXOpen.Weld.WeldPointBuilder.EndDistanceLocation
getset

Returns or sets the end dist location

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldPointExtendMethod NXOpen.Weld.WeldPointBuilder.ExtendMethod
getset

Returns or sets the offset curve extend method.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldPointLocation NXOpen.Weld.WeldPointBuilder.Location
getset

Returns or sets the processing method to use for generating weld points along reference section(s)

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.MeasurementDefaultHeight
getset

Returns or sets the default height of the object for measurement to be created.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.MeasurementDefaultWidth
getset

Returns or sets the default width of the object for measurement to be created.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.MeasurementHoleSize
getset

Returns or sets the hole_size of the object for measurement to be created.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.MeasurementSlotLength
getset

Returns or sets the slot height of the object for measurement to be created.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.MeasurementSlotWidth
getset

Returns or sets the slot width of the object for measurement to be created.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.MeasurementStudSize
getset

Returns or sets the stud size of the object for measurement to be created.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldPointBuilder.MirrorByType
getset

Returns or sets the mirror by type

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Plane NXOpen.Weld.WeldPointBuilder.MirrorPlane
getset

Returns or sets the plane that a point is to be mirrored about.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe int NXOpen.Weld.WeldPointBuilder.NumberConnectedPanels
getset

Returns or sets the num connected panels.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe string NXOpen.Weld.WeldPointBuilder.OffsetDistance
getset

Returns or sets the offset distance from edges in guide_collector1 to place weld points

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.OutputType NXOpen.Weld.WeldPointBuilder.OutputType
getset

Returns or sets the output type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldPointMethod NXOpen.Weld.WeldPointBuilder.PointMethod
getset

Returns or sets the method for creating weld points.

Weld points can be created using guide entities or Point objects.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldPointBuilder.PointsGuideDistance
getset

Returns or sets the distance percentage from the start of the curve where the weld point should be.

0.0 is the start of the curve 100.0 is the end of the curve.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Vector3d NXOpen.Weld.WeldPointBuilder.ProjectDirection
getset

Returns or sets the project direction

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Direction NXOpen.Weld.WeldPointBuilder.ProjectDirectionObject
getset

Returns or sets the project direction NXOpen object

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldProjectionMethod NXOpen.Weld.WeldPointBuilder.ProjectionMethod
getset

Returns or sets the project method type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldPointSpacingMethod NXOpen.Weld.WeldPointBuilder.ReferenceSheetSpacingMethod
getset

Returns or sets the refsheet spacing method

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldPointReferenceSheetType NXOpen.Weld.WeldPointBuilder.ReferenceSheetType
getset

Returns or sets the type of sheet to create to place weld points on.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Plane NXOpen.Weld.WeldPointBuilder.SectionPlaneEntity
getset

Returns or sets

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe int NXOpen.Weld.WeldPointBuilder.SequenceNumber
getset

Returns or sets the sequence number for the weld point feature.

Each Weld point feature contains a single point. If multiple Weld points are to be created, you must specify the sequence of the point you want. For example if you are expecting 3 points to be created. You must create 3 weld point features. The features will have sequence numbers 0,1 and 2.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldPointBuilder.ShowThroughAssemblyState
getset

Returns or sets the through assy coordinate system state

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldPointBuilder.ShowThroughWorkPartState
getset

Returns or sets the through work coordinate system state

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldMeasurementSizeMethod NXOpen.Weld.WeldPointBuilder.SizeMethod
getset

Returns or sets the measurement size method.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldCustom NXOpen.Weld.WeldPointBuilder.SolidType
getset

Returns or sets the output solid type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldSpacingCalcMethod NXOpen.Weld.WeldPointBuilder.SpacingCalculateMethod
getset

Returns or sets the project method type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe string NXOpen.Weld.WeldPointBuilder.SpacingNumber
getset

Returns or sets the spacing number

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe string NXOpen.Weld.WeldPointBuilder.StartDistance
getset

Returns or sets the start dist

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldParasetLocation NXOpen.Weld.WeldPointBuilder.StartDistanceLocation
getset

Returns or sets the start dist location

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.CoordinateSystem NXOpen.Weld.WeldPointBuilder.TranslateCsys
getset

Returns or sets the coordinate system that a point is to be translated about.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe string NXOpen.Weld.WeldPointBuilder.TranslateXDistance
getset

Returns or sets the tran x dist

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe string NXOpen.Weld.WeldPointBuilder.TranslateYDistance
getset

Returns or sets the trans y dist

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe string NXOpen.Weld.WeldPointBuilder.TranslateZDistance
getset

Returns or sets the translate distance for weld points in z axis direction.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldFeatureSetType NXOpen.Weld.WeldPointBuilder.WeldType
getset

Returns or sets the weld type.

Created in NX6.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.